My Project: dgBooleanMeshClipper Class Reference

My Project

Classes | Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
dgBooleanMeshClipper Class Reference
Inheritance diagram for dgBooleanMeshClipper:

## Classes

class | dgBooleanFaceCluster
class | dgClusterFace

## Public Member Functions

| dgBooleanMeshClipper (dgMeshEffect *const mesh)
| ~dgBooleanMeshClipper ()
void | Build ()
void | Cleanup ()
bool | SanityCheck () const
dgHugeVector | FaceNormal (const dgEdge *const face) const
void | InsertFaceVertex (dgEdge *const face, const dgHugeVector &point)
void | SpliteEdge (dgEdge *const edge, dgGoogol param, dgEdge **edge0, dgEdge **edge1)
bool | ClippMesh (const dgBooleanMeshClipper &otherMeshBVH)
Public Member Functions inherited from dgMeshEffect::dgMeshBVH
| dgMeshBVH (dgMeshEffect *const mesh)
virtual | ~dgMeshBVH ()
void | GetOverlapNodes (dgList< dgMeshBVHNode *> &overlapNodes, const dgBigVector &p0, const dgBigVector &p1) const
dgMeshBVHNode * | FaceRayCast (const dgBigVector &l0, const dgBigVector &l1, dgFloat64 &paramOut, bool doubleSidedFaces) const

## Static Public Member Functions

static void | ClipMeshesAndColorize (dgMeshEffect *const meshA, dgMeshEffect *const meshB)

## Public Attributes

dgInt32 | m_vertexBase
dgArray< dgHugeVector > | m_vertexAlias
dgTree< dgMeshBVHNode *, dgUnsigned64 > | m_nodeEdgeMap

## Static Public Attributes

static dgGoogol | m_posTol
static dgGoogol | m_negTol
static dgGoogol | m_tol2
static dgGoogol | m_tol3
static dgGoogol | m_oneMinusTol

## Additional Inherited Members

Protected Member Functions inherited from dgMeshEffect::dgMeshBVH
dgMeshBVHNode * | AddFaceNode (dgEdge *const face, void *const userData)
void | RemoveNode (dgMeshBVHNode *const treeNode)
void | ImproveNodeFitness ()
void | ImproveNodeFitness (dgMeshBVHNode *const node)
dgFloat32 | CalculateSurfaceArea (dgMeshBVHNode *const node0, dgMeshBVHNode *const node1, dgVector &minBox, dgVector &maxBox) const
virtual dgFloat64 | VertexRayCast (const dgBigVector &l0, const dgBigVector &l1) const
virtual dgFloat64 | RayFaceIntersect (const dgMeshBVHNode *const face, const dgBigVector &p0, const dgBigVector &p1, bool dobleSidedFaces) const
virtual bool | RayRayIntersect (dgEdge *const edge, const dgMeshEffect *const otherMesh, dgEdge *const otherEdge, dgFloat64 &param, dgFloat64 &otherParam) const
Protected Attributes inherited from dgMeshEffect::dgMeshBVH
dgMeshEffect * | m_mesh
dgMeshBVHNode * | m_rootNode
dgFitnessList | m_fitness

## Constructor & Destructor Documentation

## § dgBooleanMeshClipper()

dgBooleanMeshClipper::dgBooleanMeshClipper | ( | dgMeshEffect *const | mesh | ) |

inline

## § ~dgBooleanMeshClipper()

dgBooleanMeshClipper::~dgBooleanMeshClipper | ( |  | ) |

inline

## Member Function Documentation

## § Build()

void dgBooleanMeshClipper::Build | ( |  | ) |

inlinevirtual

Reimplemented from dgMeshEffect::dgMeshBVH.

## § Cleanup()

void dgBooleanMeshClipper::Cleanup | ( |  | ) |

inlinevirtual

Reimplemented from dgMeshEffect::dgMeshBVH.

## § ClipMeshesAndColorize()

static void dgBooleanMeshClipper::ClipMeshesAndColorize | ( | dgMeshEffect *const | meshA,
|  | dgMeshEffect *const | meshB
| ) |  |

inlinestatic

## § ClippMesh()

bool dgBooleanMeshClipper::ClippMesh | ( | const dgBooleanMeshClipper & | otherMeshBVH | ) |

inline

## § FaceNormal()

dgHugeVector dgBooleanMeshClipper::FaceNormal | ( | const dgEdge *const | face | ) | const

inline

## § InsertFaceVertex()

void dgBooleanMeshClipper::InsertFaceVertex | ( | dgEdge *const | face,
|  | const dgHugeVector & | point
| ) |  |

inline

## § SanityCheck()

bool dgBooleanMeshClipper::SanityCheck | ( |  | ) | const

inlinevirtual

Reimplemented from dgMeshEffect::dgMeshBVH.

## § SpliteEdge()

void dgBooleanMeshClipper::SpliteEdge | ( | dgEdge *const | edge,
|  | dgGoogol | param,
|  | dgEdge ** | edge0,
|  | dgEdge ** | edge1
| ) |  |

inline

## Member Data Documentation

## § m_negTol

dgGoogol dgBooleanMeshClipper::m_negTol

static

## § m_nodeEdgeMap

dgTree<dgMeshBVHNode*, dgUnsigned64> dgBooleanMeshClipper::m_nodeEdgeMap

## § m_oneMinusTol

dgGoogol dgBooleanMeshClipper::m_oneMinusTol

static

## § m_posTol

dgGoogol dgBooleanMeshClipper::m_posTol

static

## § m_tol2

dgGoogol dgBooleanMeshClipper::m_tol2

static

## § m_tol3

dgGoogol dgBooleanMeshClipper::m_tol3

static

## § m_vertexAlias

dgArray<dgHugeVector> dgBooleanMeshClipper::m_vertexAlias

## § m_vertexBase

dgInt32 dgBooleanMeshClipper::m_vertexBase

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/meshUtil/dgMeshEffect5.cpp